# This file is a template, and might need editing before it works on your project.
# To contribute improvements to CI/CD templates, please follow the Development guide at:
# https://docs.gitlab.com/ee/development/cicd/templates.html
# This specific template is located at:
# https://gitlab.com/gitlab-org/gitlab/-/blob/master/lib/gitlab/ci/templates/Bash.gitlab-ci.yml

# See https://docs.gitlab.com/ee/ci/yaml/README.html for all available options

# you can delete this line if you're not using Docker
# image: busybox:latest
# Johnny Cubides

image: johnnycubides/electronjs-forge-docker:latest

# pages:
#   stage: deploy
#   script:
#     - npm install --save-dev @electron-forge/cli
#     - npm run make
#     - mkdir public
#     - mv out/make/deb/x64/catalejo-electronjs_1.0.0_amd64.deb public/
#   artifacts:
#     paths:
#       - public
  #only:
  #- master
build:
  script:
    - npm install --save-dev @electron-forge/cli
    - npm run make
    - mkdir contents
    - mv out/make/deb/x64/catalejo-electronjs_1.0.0_amd64.deb contents
  artifacts:
    name: $EXPORT_NAME$CI_COMMIT_TAG
    paths:
      - contents
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
